[arch-commits] Commit in docker/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 29 02:43:02 EDT 2009


    Date: Wednesday, April 29, 2009 @ 02:43:01
  Author: eric
Revision: 36978

upgpkg: docker 1.5-4
    Fixed license

Modified:
  docker/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-29 06:02:51 UTC (rev 36977)
+++ PKGBUILD	2009-04-29 06:43:01 UTC (rev 36978)
@@ -1,22 +1,21 @@
 # $Id$
-# Maintainer: eric <eric at archlinux.org>
 # Contributor: Jochem Kossen <j.kossen at home.nl>
 
 pkgname=docker
 pkgver=1.5
-pkgrel=3
+pkgrel=4
 pkgdesc="Docker is a docking application (WindowMaker dock app) which acts as a system tray for KDE and GNOME2."
 arch=(i686 x86_64)
+url="http://icculus.org/openbox/2/docker/"
+license=('GPL')
 depends=('glibc' 'glib2' 'libx11')
 source=(http://icculus.org/openbox/2/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('349320bebd43babb8b43e11c7aae0293')
-url="http://icculus.org/openbox/2/docker/"
-license=('GPL2')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  /bin/mkdir -p $startdir/pkg/usr/bin
-  /usr/bin/make || return 1
-  /usr/bin/make PREFIX=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  install -d $pkgdir/usr/bin || return 1
+  make || return 1
+  make PREFIX=$pkgdir/usr install || return 1
 }
 # vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list